Upgrading from 4.2 to 12.12.1

Upgrade instructions:

http://www.netrunner-os.com/upgrade-instructions-4-2-12-12/

Please use this thread for questions and troubleshooting.

I upgraded following the directions given. All went well, except that when I accessed Synaptic Package Manager it said there were broken packages / dependencies. I checked it out and it was the Muon Discover - Software Center. I tagged it for re-installation and it ran through a very long list of unpacking, preparing and installing. Once that was completed I clicked on Reload and updated from there. So, I am at Linux 3.5.0-22 generic and KDE 4.9.5.

Thanks for the instructions. You were correct, it did take upwards of 1 1/2 hours. Maybe I need to rethink the upgrade process. Thanks again for a truly wonderful distribution. I like this Linux Distro very much. I already gave out one Live DVD with the latest Netrunner version on it to a friend.

Regards,

txm0523

It looks like you only performed one of the two “dist-upgrades” present in the script. You need to call it twice to force calligra-data and muon-discover to replace their previous versions (they overwrite other packages’ data and the maintainers upstream didn’t properly declare this in the packages with a control->replace statement). Running the dist-upgrade twice, like it’s done in the script, works around this issue.

@txm:
did you use the script like this:
wget http://community.netrunner-os.com/upgrade-4.2.sh
chmod a+rx upgrade-4.2.sh
sudo ./upgrade-4.2.sh

or did you use the commands from within the script manually by executing them one by one?

After the upgrade, I had to do:

sudo dpkg-reconfigure lightdm

and then select lightdm in order to get the same experience I have on my work machine that had 12.12 installed from scratch. Also, if you’re using the default background artwork, it disappears.

Otherwise, the upgrade ran very smoothly.

@starbuck

I copied the commands as was outlined in the initial posting:

To perform the upgrade, open a terminal (yakuake or konsole) and type the following commands:

wget http://community.netrunner-os.com/upgrade-4.2.sh
chmod a+rx upgrade-4.2.sh
sudo ./upgrade-4.2.sh

I did not execute each command separately. It was more of : copy commands, paste, Enter Key

Does that help ?

txm0523

Thanks,

It does help. Although I don’t have enough info to take action.

If anyone else is experiencing issues, please make sure you paste the error messages you’re getting.

I can’t reproduce the problem here, everything is going smooth in relation to Muon, but mileage may vary depending on what is installed on your computer.

Anyway, I’m glad you got it working and I hope we’ll get more info so that we can update the script if it affects others.

I attached the entire output of konsole. I started a thread in Install and Set-up last night about invalid package source. Since the out-put of the system is for all intents and purposesidentical I’m attaching the output of runnng the scripts. I’ll keep watching for solutions. Thanks,
Charlie

ad: seems I can’t attch a plain text file…oh well here it is::

~$ wget http://community.netrunner-os.com/upgrade-4.2.sh
–2013-02-05 06:08:17-- http://community.netrunner-os.com/upgrade-4.2.sh
Resolving community.netrunner-os.com (community.netrunner-os.com)… 54.246.99.126
Connecting to community.netrunner-os.com (community.netrunner-os.com)|54.246.99.126|:80… connected.
HTTP request sent, awaiting response… 200 OK
Length: 831 [text/x-sh]
Saving to: `upgrade-4.2.sh’

100%[======================================>] 831 --.-K/s in 0s

2013-02-05 06:08:17 (43.6 MB/s) - `upgrade-4.2.sh’ saved [831/831]

nanook@nanook-Pavilion-ZV6100-EC373UA-ABA:~$ chmod a+rx upgrade-4.2.sh
nanook@nanook-Pavilion-ZV6100-EC373UA-ABA:~$ sudo ./upgrade-4.2.sh
[sudo] password for nanook:
Ign http://security.ubuntu.com dryland-te-security InRelease
Ign http://security.ubuntu.com quantal-security InRelease
Ign http://archive.ubuntu.com dryland-te InRelease
Ign http://archive.canonical.com dryland-te InRelease
Ign http://ppa.launchpad.net dryland-te InRelease
Ign http://security.ubuntu.com dryland-te-security Release.gpg
Hit http://packages.netrunner-os.com dryland-te InRelease
Hit http://security.ubuntu.com quantal-security Release.gpg
Ign http://archive.ubuntu.com dryland-te-updates InRelease
Ign http://archive.canonical.com dryland-te Release.gpg
Ign http://security.ubuntu.com dryland-te-security Release
Ign http://ppa.launchpad.net dryland-te InRelease
Hit http://security.ubuntu.com quantal-security Release
Hit http://packages.netrunner-os.com dryland-te/main i386 Packages
Ign http://archive.ubuntu.com dryland-te Release.gpg
Ign http://archive.canonical.com dryland-te Release
Ign http://ppa.launchpad.net dryland-te InRelease
Ign http://archive.ubuntu.com dryland-te-updates Release.gpg
Ign http://ppa.launchpad.net dryland-te InRelease
Ign http://archive.ubuntu.com dryland-te Release
Ign http://ppa.launchpad.net dryland-te InRelease
Ign http://archive.ubuntu.com dryland-te-updates Release
Ign http://ppa.launchpad.net dryland-te InRelease
Ign http://ppa.launchpad.net dryland-te Release.gpg
Ign http://ppa.launchpad.net dryland-te Release.gpg
Ign http://ppa.launchpad.net dryland-te Release.gpg
Hit http://security.ubuntu.com quantal-security/main Sources
Hit http://security.ubuntu.com quantal-security/restricted Sources
Ign http://ppa.launchpad.net dryland-te Release.gpg
Hit http://security.ubuntu.com quantal-security/universe Sources
Hit http://security.ubuntu.com quantal-security/multiverse Sources
Ign http://ppa.launchpad.net dryland-te Release.gpg
Ign http://ppa.launchpad.net dryland-te Release.gpg
Ign http://packages.netrunner-os.com dryland-te/main Translation-en_US
Ign http://ppa.launchpad.net dryland-te Release
Ign http://ppa.launchpad.net dryland-te Release
Ign http://packages.netrunner-os.com dryland-te/main Translation-en
Ign http://ppa.launchpad.net dryland-te Release
Err http://archive.canonical.com dryland-te/partner i386 Packages
404 Not Found [IP: 91.189.92.150 80]
Ign http://ppa.launchpad.net dryland-te Release
Ign http://archive.canonical.com dryland-te/partner Translation-en_US
Ign http://ppa.launchpad.net dryland-te Release
Ign http://archive.canonical.com dryland-te/partner Translation-en
Ign http://ppa.launchpad.net dryland-te Release
Err http://security.ubuntu.com dryland-te-security/main i386 Packages
404 Not Found [IP: 91.189.91.13 80]
Err http://security.ubuntu.com dryland-te-security/restricted i386 Packages
404 Not Found [IP: 91.189.91.13 80]
Err http://security.ubuntu.com dryland-te-security/universe i386 Packages
404 Not Found [IP: 91.189.91.13 80]
Err http://security.ubuntu.com dryland-te-security/multiverse i386 Packages
404 Not Found [IP: 91.189.91.13 80]
Ign http://security.ubuntu.com dryland-te-security/main Translation-en_US
Ign http://security.ubuntu.com dryland-te-security/main Translation-en
Ign http://security.ubuntu.com dryland-te-security/multiverse Translation-en_US
Ign http://security.ubuntu.com dryland-te-security/multiverse Translation-en
Ign http://security.ubuntu.com dryland-te-security/restricted Translation-en_US
Ign http://security.ubuntu.com dryland-te-security/restricted Translation-en
Ign http://security.ubuntu.com dryland-te-security/universe Translation-en_US
Ign http://security.ubuntu.com dryland-te-security/universe Translation-en
Ign http://packages.medibuntu.org dryland-te InRelease
Ign http://packages.medibuntu.org dryland-te Release.gpg
Ign http://packages.medibuntu.org dryland-te Release
Err http://ppa.launchpad.net dryland-te/main i386 Packages
404 Not Found
Ign http://ppa.launchpad.net dryland-te/main Translation-en_US
Ign http://ppa.launchpad.net dryland-te/main Translation-en
Err http://ppa.launchpad.net dryland-te/main i386 Packages
404 Not Found
Ign http://ppa.launchpad.net dryland-te/main Translation-en_US
Ign http://ppa.launchpad.net dryland-te/main Translation-en
Err http://ppa.launchpad.net dryland-te/main i386 Packages
404 Not Found
Ign http://ppa.launchpad.net dryland-te/main Translation-en_US
Ign http://ppa.launchpad.net dryland-te/main Translation-en
Err http://packages.medibuntu.org dryland-te/free i386 Packages
404 Not Found
Err http://ppa.launchpad.net dryland-te/main i386 Packages
404 Not Found
Ign http://ppa.launchpad.net dryland-te/main Translation-en_US
Err http://packages.medibuntu.org dryland-te/non-free i386 Packages
404 Not Found
Ign http://ppa.launchpad.net dryland-te/main Translation-en
Ign http://packages.medibuntu.org dryland-te/free Translation-en_US
Err http://archive.ubuntu.com dryland-te/main i386 Packages
404 Not Found [IP: 91.189.92.202 80]
Err http://ppa.launchpad.net dryland-te/main i386 Packages
404 Not Found
Err http://archive.ubuntu.com dryland-te/restricted i386 Packages
404 Not Found [IP: 91.189.92.202 80]
Ign http://ppa.launchpad.net dryland-te/main Translation-en_US
Ign http://packages.medibuntu.org dryland-te/free Translation-en
Err http://archive.ubuntu.com dryland-te/universe i386 Packages
404 Not Found [IP: 91.189.92.202 80]
Ign http://ppa.launchpad.net dryland-te/main Translation-en
Err http://archive.ubuntu.com dryland-te/multiverse i386 Packages
404 Not Found [IP: 91.189.92.202 80]
Err http://ppa.launchpad.net dryland-te/main i386 Packages
404 Not Found
Ign http://packages.medibuntu.org dryland-te/non-free Translation-en_US
Ign http://archive.ubuntu.com dryland-te/main Translation-en_US
Ign http://ppa.launchpad.net dryland-te/main Translation-en_US
Ign http://archive.ubuntu.com dryland-te/main Translation-en
Ign http://ppa.launchpad.net dryland-te/main Translation-en
Ign http://archive.ubuntu.com dryland-te/multiverse Translation-en_US
Ign http://packages.medibuntu.org dryland-te/non-free Translation-en
Ign http://archive.ubuntu.com dryland-te/multiverse Translation-en
Ign http://archive.ubuntu.com dryland-te/restricted Translation-en_US
Ign http://archive.ubuntu.com dryland-te/restricted Translation-en
Ign http://archive.ubuntu.com dryland-te/universe Translation-en_US
Ign http://archive.ubuntu.com dryland-te/universe Translation-en
Err http://archive.ubuntu.com dryland-te-updates/main i386 Packages
404 Not Found [IP: 91.189.92.202 80]
Err http://archive.ubuntu.com dryland-te-updates/restricted i386 Packages
404 Not Found [IP: 91.189.92.202 80]
Err http://archive.ubuntu.com dryland-te-updates/universe i386 Packages
404 Not Found [IP: 91.189.92.202 80]
Err http://archive.ubuntu.com dryland-te-updates/multiverse i386 Packages
404 Not Found [IP: 91.189.92.202 80]
Ign http://archive.ubuntu.com dryland-te-updates/main Translation-en_US
Ign http://archive.ubuntu.com dryland-te-updates/main Translation-en
Ign http://archive.ubuntu.com dryland-te-updates/multiverse Translation-en_US
Ign http://archive.ubuntu.com dryland-te-updates/multiverse Translation-en
Ign http://archive.ubuntu.com dryland-te-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com dryland-te-updates/restricted Translation-en
Ign http://archive.ubuntu.com dryland-te-updates/universe Translation-en_US
Ign http://archive.ubuntu.com dryland-te-updates/universe Translation-en
W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/dryland-te-security/main/binary-i386/Packages 404 Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/dryland-te-security/restricted/binary-i386/Packages 404 Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/dryland-te-security/universe/binary-i386/Packages 404 Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/dryland-te-security/multiverse/binary-i386/Packages 404 Not Found [IP: 91.189.91.13 80]

W: Failed to fetch http://archive.canonical.com/ubuntu/dists/dryland-te/partner/binary-i386/Packages 404 Not Found [IP: 91.189.92.150 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/dryland-te/main/binary-i386/Packages 404 Not Found [IP: 91.189.92.202 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/dryland-te/restricted/binary-i386/Packages 404 Not Found [IP: 91.189.92.202 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/dryland-te/universe/binary-i386/Packages 404 Not Found [IP: 91.189.92.202 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/dryland-te/multiverse/binary-i386/Packages 404 Not Found [IP: 91.189.92.202 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/dryland-te-updates/main/binary-i386/Packages 404 Not Found [IP: 91.189.92.202 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/dryland-te-updates/restricted/binary-i386/Packages 404 Not Found [IP: 91.189.92.202 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/dryland-te-updates/universe/binary-i386/Packages 404 Not Found [IP: 91.189.92.202 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/dryland-te-updates/multiverse/binary-i386/Packages 404 Not Found [IP: 91.189.92.202 80]

W: Failed to fetch http://ppa.launchpad.net/blue-shell/homerun/ubuntu/dists/dryland-te/main/binary-i386/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/cyberspace/ppa/ubuntu/dists/dryland-te/main/binary-i386/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu/dists/dryland-te/main/binary-i386/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/netrunner-os/ppa/ubuntu/dists/dryland-te/main/binary-i386/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/tomahawk/ppa/ubuntu/dists/dryland-te/main/binary-i386/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/dists/dryland-te/main/binary-i386/Packages 404 Not Found

W: Failed to fetch http://packages.medibuntu.org/dists/dryland-te/free/binary-i386/Packages 404 Not Found

W: Failed to fetch http://packages.medibuntu.org/dists/dryland-te/non-free/binary-i386/Packages 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists… Done
Building dependency tree
Reading state information… Done
netrunner-keyring is already the newest version.
ubuntu-keyring is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
rm: cannot remove /etc/apt/sources.list.d/cyberspace-ppa-precise.list': No such file or directory gpg: keyring/tmp/tmpuwalhd/secring.gpg’ created
gpg: keyring /tmp/tmpuwalhd/pubring.gpg' created gpg: requesting key C8807122 from hkp server keyserver.ubuntu.com gpg: /tmp/tmpuwalhd/trustdb.gpg: trustdb created gpg: key C8807122: public key "Launchpad PPA for netrunner-os" imported gpg: Total number processed: 1 gpg: imported: 1 (RSA: 1) OK gpg: keyring/tmp/tmp9nbt6_/secring.gpg’ created
gpg: keyring /tmp/tmp9nbt6_/pubring.gpg' created gpg: requesting key 8AC93F7A from hkp server keyserver.ubuntu.com gpg: /tmp/tmp9nbt6_/trustdb.gpg: trustdb created gpg: key 8AC93F7A: public key "Launchpad Kubuntu Updates" imported gpg: no ultimately trusted keys found gpg: Total number processed: 1 gpg: imported: 1 (RSA: 1) OK gpg: keyring/tmp/tmp7pnk2c/secring.gpg’ created
gpg: keyring /tmp/tmp7pnk2c/pubring.gpg' created gpg: requesting key 6AE1EE0F from hkp server keyserver.ubuntu.com gpg: /tmp/tmp7pnk2c/trustdb.gpg: trustdb created gpg: key 6AE1EE0F: public key "Launchpad PPA for blue-shell" imported gpg: Total number processed: 1 gpg: imported: 1 (RSA: 1) OK Reading package lists... Done Building dependency tree Reading state information... Done Package 'akonadi-kde-resource-google' is not installed, so not removed 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. ln: failed to create symbolic link/etc/resolv.conf’: File exists
Reading package lists… Done
Building dependency tree
Reading state information… Done
webaccounts is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
sed: can’t read /etc/kde4/kdm/kdmrc: No such file or directory
Reading package lists… Done
Building dependency tree
Reading state information… Done
lightdm is already the newest version.
lightdm-kde-greeter is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

From attempted upgrade through Synaptic Package Manager:
E: Unable to correct problems, you have held broken packages.
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies

Can’t back up, no back-up tool was installed. Guess I’ll just have to redo the account settings etc… after I try reintalling.

C.

Hello,

My problem is with X server, which won’t start after upgrade.

I have upgraded to 12.12 with the script given, and after restart Netrunner is starting in text-only mode. If I try “startx” I get the following error:

[code]X.Org X Server 1.13.0
Release Date: 2012-09-05
[ 30.248] X Protocol Version 11, Revision 0
[ 30.248] Build Operating System: Linux 3.2.0-32-generic x86_64 Ubuntu
[ 30.248] Current Operating System: Linux fistandantilus 3.5.0-25-generic #39-Ubuntu SMP Mon Feb 25 18:26:58 UTC 2013 x86_64
[ 30.248] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-25-generic root=UUID=93ef4de2-637b-4113-b5f0-b9294af2ccff ro quiet splash vt.handoff=7
[ 30.248] Build Date: 27 November 2012 07:44:35AM
[ 30.248] xorg-server 2:1.13.0-0ubuntu6.1 (For technical support please see http://www.ubuntu.com/support)
[ 30.248] Current version of pixman: 0.26.0
[ 30.248] Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
[ 30.248] Markers: (–) probed, () from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 30.249] (==) Log file: “/var/log/Xorg.0.log”, Time: Sun Mar 10 21:25:56 2013
[ 30.249] (==) Using config file: “/etc/X11/xorg.conf”
[ 30.249] (==) Using system config directory “/usr/share/X11/xorg.conf.d”
[ 30.249] (==) ServerLayout “aticonfig Layout”
[ 30.249] (
) |–>Screen “aticonfig-Screen[0]-0” (0)
[ 30.249] () | |–>Monitor “aticonfig-Monitor[0]-0”
[ 30.249] (
) | |–>Device “aticonfig-Device[0]-0”
[ 30.249] (==) Automatically adding devices
[ 30.249] (==) Automatically enabling devices
[ 30.249] (==) Automatically adding GPU devices
[ 30.249] (WW) The directory “/usr/share/fonts/X11/cyrillic” does not exist.
[ 30.249] Entry deleted from font path.
[ 30.249] (WW) The directory “/usr/share/fonts/X11/100dpi/” does not exist.
[ 30.249] Entry deleted from font path.
[ 30.249] (WW) The directory “/usr/share/fonts/X11/100dpi” does not exist.
[ 30.249] Entry deleted from font path.
[ 30.249] (WW) The directory “/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType” does not exist.
[ 30.249] Entry deleted from font path.
[ 30.249] (==) FontPath set to:
/usr/share/fonts/X11/misc,
/usr/share/fonts/X11/75dpi/:unscaled,
/usr/share/fonts/X11/Type1,
/usr/share/fonts/X11/75dpi,
built-ins
[ 30.249] (==) ModulePath set to “/usr/lib/x86_64-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules”
[ 30.249] (II) The server relies on udev to provide the list of input devices.
If no devices become available, reconfigure udev or disable AutoAddDevices.
[ 30.249] (II) Loader magic: 0x7f8c48de4c40
[ 30.249] (II) Module ABI versions:
[ 30.249] X.Org ANSI C Emulation: 0.4
[ 30.249] X.Org Video Driver: 13.0
[ 30.249] X.Org XInput driver : 18.0
[ 30.249] X.Org Server Extension : 7.0
[ 30.249] (II) config/udev: Adding drm device (/dev/dri/card0)
[ 30.251] (–) PCI:*(0:0:2:0) 8086:0116:103c:3388 rev 9, Mem @ 0xc0000000/4194304, 0xb0000000/268435456, I/O @ 0x00006000/64
[ 30.251] (–) PCI: (0:1:0:0) 1002:6740:103c:3388 rev 0, Mem @ 0xa0000000/268435456, 0xc6500000/131072, I/O @ 0x00005000/256, BIOS @ 0x???/131072
[ 30.251] (II) Open ACPI successful (/var/run/acpid.socket)
[ 30.251] Initializing built-in extension Generic Event Extension
[ 30.251] Initializing built-in extension SHAPE
[ 30.251] Initializing built-in extension MIT-SHM
[ 30.251] Initializing built-in extension XInputExtension
[ 30.251] Initializing built-in extension XTEST
[ 30.251] Initializing built-in extension BIG-REQUESTS
[ 30.251] Initializing built-in extension SYNC
[ 30.251] Initializing built-in extension XKEYBOARD
[ 30.251] Initializing built-in extension XC-MISC
[ 30.251] Initializing built-in extension SECURITY
[ 30.251] Initializing built-in extension XINERAMA
[ 30.251] Initializing built-in extension XFIXES
[ 30.251] Initializing built-in extension RENDER
[ 30.252] Initializing built-in extension RANDR
[ 30.252] Initializing built-in extension COMPOSITE
[ 30.253] Initializing built-in extension DAMAGE
[ 30.253] Initializing built-in extension MIT-SCREEN-SAVER
[ 30.254] Initializing built-in extension DOUBLE-BUFFER
[ 30.254] Initializing built-in extension RECORD
[ 30.255] Initializing built-in extension DPMS
[ 30.255] Initializing built-in extension X-Resource
[ 30.256] Initializing built-in extension XVideo
[ 30.256] Initializing built-in extension XVideo-MotionCompensation
[ 30.257] Initializing built-in extension XFree86-VidModeExtension
[ 30.257] Initializing built-in extension XFree86-DGA
[ 30.258] Initializing built-in extension XFree86-DRI
[ 30.258] Initializing built-in extension DRI2
[ 30.258] (II) “glx” will be loaded. This was enabled by default and also specified in the config file.
[ 30.258] (II) LoadModule: “glx”
[ 30.258] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/extensions/libglx.so
[ 30.258] (II) Module glx: vendor=“Advanced Micro Devices, Inc.”
[ 30.258] compiled for 6.9.0, module version = 1.0.0
[ 30.259] Loading extension GLX
[ 30.259] (II) LoadModule: “fglrx”
[ 30.259] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so
[ 30.267] (II) Module fglrx: vendor=“FireGL - AMD Technologies Inc.”
[ 30.267] compiled for 1.4.99.906, module version = 9.0.2
[ 30.267] Module class: X.Org Video Driver
[ 30.267] (II) Loading sub module “fglrxdrm”
[ 30.267] (II) LoadModule: “fglrxdrm”
[ 30.267] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/linux/libfglrxdrm.so
[ 30.268] (II) Module fglrxdrm: vendor=“FireGL - AMD Technologies Inc.”
[ 30.268] compiled for 1.4.99.906, module version = 9.0.2
[ 30.268] (II) AMD Proprietary Linux Driver Version Identifier:9.00.2
[ 30.268] (II) AMD Proprietary Linux Driver Release Identifier: 9.00.11
[ 30.268] (II) AMD Proprietary Linux Driver Build Date: Sep 20 2012 11:56:16
[ 30.268] (–) using VT number 7

[ 30.270] (WW) Falling back to old probe method for fglrx
[ 30.272] (II) Loading PCS database from /etc/ati/amdpcsdb /etc/ati/amdpcsdb.default
[ 30.274] ukiDynamicMajor: found major device number 250
[ 30.274] ukiDynamicMajor: found major device number 250
[ 30.274] ukiOpenByBusid: Searching for BusID PCI:1:0:0
[ 30.274] ukiOpenDevice: node name is /dev/ati/card0
[ 30.274] ukiOpenDevice: open result is 10, (OK)
[ 30.274] ukiOpenByBusid: ukiOpenMinor returns 10
[ 30.274] ukiOpenByBusid: ukiGetBusid reports PCI:1:0:0
[ 30.274] (–) Chipset Supported AMD Graphics Processor (0x6740) found
[ 30.274] (II) fglrx: intel VGA device detected, load intel driver.
[ 30.274] (II) LoadModule: “intel”
[ 30.275] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[ 30.275] (II) Module intel: vendor=“X.Org Foundation”
[ 30.275] compiled for 1.13.0, module version = 2.20.9
[ 30.275] Module class: X.Org Video Driver
[ 30.275] ABI class: X.Org Video Driver, version 13.0
[ 30.275] (II) AMD Video driver is running on a device belonging to a group targeted for this release
[ 30.275] (II) AMD Video driver is signed
[ 30.276] (II) fglrx(0): pEnt->device->identifier=0x7f8c497372d0
[ 30.276] (II) intel(1): pEnt->device->identifier=(nil)
[ 30.276] (EE) Screen 1 deleted because of no matching config section.
[ 30.276] (EE)
[ 30.276] (EE) Backtrace:
[ 30.276] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7f8c48b6fb76]
[ 30.276] (EE) 1: /usr/bin/X (0x7f8c489c7000+0x1ac9a9) [0x7f8c48b739a9]
[ 30.276] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f8c47ced000+0xfcb0) [0x7f8c47cfccb0]
[ 30.276] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7f8c4484e000+0x15080) [0x7f8c44863080]
[ 30.276] (EE) 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7f8c4484e000+0x16365) [0x7f8c44864365]
[ 30.276] (EE) 5: /usr/bin/X (xf86DeleteScreen+0x84) [0x7f8c48a65914]
[ 30.276] (EE) 6: /usr/bin/X (xf86BusConfig+0x216) [0x7f8c48a50b56]
[ 30.276] (EE) 7: /usr/bin/X (InitOutput+0x9ea) [0x7f8c48a5ea3a]
[ 30.276] (EE) 8: /usr/bin/X (0x7f8c489c7000+0x44386) [0x7f8c48a0b386]
[ 30.276] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f8c4697276d]
[ 30.276] (EE) 10: /usr/bin/X (0x7f8c489c7000+0x448ad) [0x7f8c48a0b8ad]
[ 30.276] (EE)
[ 30.277] (EE) Segmentation fault at address 0x0
[ 30.277]
Fatal server error:
[ 30.277] Caught signal 11 (Segmentation fault). Server aborting
[ 30.277]
[ 30.277] (EE)
Please consult the The X.Org Foundation support
at http://wiki.x.org
for help.
[ 30.277] (EE) Please also check the log file at “/var/log/Xorg.0.log” for additional information.
[ 30.277] (EE)
[ 30.281] Server terminated with error (1). Closing log file.[/code]

I would be very thankful if someone could help me with this issue.

Thank you and regards,
Gnomius

Well, after hours of googling around, I have finally fixed my issue.

If someone is interested, it was a problem with the ATI drivers, that can be solved removing “fglrx” and installing “fglrx-updates” package.

Regards!

I upgraded yesterday and it took almost 3 hours but everything seemed fine afterward. Then, this morning, there was a long list of updates and a reboot required afterward. When I rebooted I got a screen with this:
Staring VirtualBox kernel modules
saned disabled; edit /etc/default/saned
Stopping saved kernel messages
Stopping anac(h)ronistic cron
Starting anac(h)ronistic cron
Stopping anac(h)ronistic cron
and then it just stays on that screen and dosen’t boot. Help please?

Well, nevermind. I couldn’t go more than 2 days with my computer down so I burned a dvd and did a fresh install. Still having some issues but that’s for another thread. I’ve been using Netrunner for several versions now and not once has an upgrade actually worked. It tarnishes an otherwise wonderful distro. My previous favorite distro, which I used for several years and many versions, never failed to upgrade. I only had to install the one time and upgraded from then on, so I know it can be done. Looking forward to smoother upgrades with Netrunner sometime in the future.